[<img src="https://raw.githubusercontent.com/notificare/notificare-sdk-flutter/main/assets/logo.png"/>](https://notificare.com)

# Notificare Flutter SDK

[![GitHub release](https://img.shields.io/github/v/release/notificare/notificare-sdk-flutter)](https://github.com/notificare/notificare-sdk-flutter/releases)
[![License](https://img.shields.io/github/license/notificare/notificare-sdk-flutter)](https://github.com/notificare/notificare-sdk-flutter/blob/main/LICENSE)

The Notificare Flutter SDK makes it quick and easy to communicate efficiently with many of the Notificare API services and enables you to seamlessly integrate our various features, from Push Notifications to Contextualised Storage.

Get started with our [📚 integration guides](https://docs.notifica.re/sdk/v3/flutter/setup) and [example projects](#examples), or [📘 browse the SDK reference]() (coming soon).


Table of contents
=================

* [Features](#features)
* [Installation](#installation)
  * [Requirements](#requirements)
  * [Configuration](#configuration)
* [Getting Started](#getting-started)
* [Examples](#examples)


## Features

**Push notifications**: Receive push notifications and automatically track its engagement.

**Push notifications UI**: Use native screens and elements to display your push notifications and handle its actions with zero effort.

**Inbox**: Apps with a built-in message inbox enjoy higher conversions due to its nature of keeping messages around that can be opened as many times as users want. The SDK gives you all the tools necessary to build your inbox UI.

**Geo**: Transform your user's location into relevant information, automate how you segment your users based on location behaviour and create truly contextual notifications.

**Loyalty**: Harness the power of digital cards that live beyond your app and are always in your customer’s pocket.

**Monetise**
> coming soon

**Assets**: Add powerful contextual marketing features to your apps. Show the right content to the right users at the right time or location. Maximise the content you're already creating without increasing development costs.

**Scannables**: Unlock new content by scanning NFC tags or QR codes that integrate seamlessly in your mobile applications.


## Installation

### Requirements

* Android 6 (API level 23) and above
* iOS 10 and above

### Configuration

Add the Flutter packages to your `pubspec.yaml` and follow the Getting Started guide.

```yaml
dependencies:
  # Required
  notificare: ^3.0.0

  # Optional modules
  notificare_assets: ^3.0.0
  notificare_authentication: ^3.0.0
  notificare_geo: ^3.0.0
  notificare_inbox: ^3.0.0
  notificare_loyalty: ^3.0.0
  notificare_push: ^3.0.0
  notificare_push_ui: ^3.0.0
  notificare_scannables: ^3.0.0
```

## Getting Started

### Integration
Get started with our [📚 integration guides](https://docs.notifica.re/sdk/v3/flutter/setup) and [example projects](#examples), or [📘 browse the SDK reference]() (coming soon).


### Examples
- The [example project](https://github.com/Notificare/notificare-sdk-flutter/tree/main/sample) demonstrates other integrations in a simplified fashion, to quickly understand how a given feature should be implemented.
